Bug 267334 - [newcodemodel] AssertionError: must not be recursive
[newcodemodel] AssertionError: must not be recursive
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
8.2
All All
: P2 (vote)
: 8.2
Assigned To: petrk
issues@cnd
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-27 13:58 UTC by Andrew Krasny
Modified: 2016-09-08 13:45 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.16 KB, text/plain)
2016-07-27 13:58 UTC, Andrew Krasny
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Krasny 2016-07-27 13:58:30 UTC
Build: NetBeans IDE Dev (Build 20160520-0e4d77c492ec)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.51-b03, Java(TM) SE Runtime Environment, 1.8.0_51-b16
OS: Mac OS X

User Comments:
akrasny: editing code. it is likely that in the current state there are unpaired #ifdef directives




Stacktrace: 
java.lang.AssertionError: must not be recursive
   at org.clang.lex.Preprocessor.HandleMacroExpandedIdentifier(Preprocessor.java:6210)
   at org.clang.lex.Preprocessor.HandleIdentifier(Preprocessor.java:3931)
   at org.clang.lex.Lexer.LexIdentifier(Lexer.java:3587)
   at org.clang.lex.Lexer.LexTokenInternal(Lexer.java:2144)
   at org.clang.lex.Lexer.Lex(Lexer.java:383)
   at org.clang.lex.Preprocessor.Lex(Preprocessor.java:2468)
Comment 1 Andrew Krasny 2016-07-27 13:58:32 UTC
Created attachment 161465 [details]
stacktrace
Comment 2 petrk 2016-09-07 15:41:41 UTC
Fixed in sputnik 19459:09b228ac71c7
Comment 3 petrk 2016-09-08 13:45:59 UTC
Fixed in sputnik 19491:a816def14cd8


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo